//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
typedef long __stdcall MLoad(char *filename,char *password);
typedef long __stdcall MEncode(long id,long pageno);
typedef long __stdcall MFree(long id);
typedef long __stdcall MGetCount(long id);
typedef long __stdcall MSetParam( long id,char *outpath,long imagetype,long bitcount,
				long compression,long quality,long grayscale,long multipage,
				long rotate,long width,long height,long xdpi,long ydpi);

//---------------------------------------------------------------------------
const IMAGE_FORMAT_TIF = 1;
const IMAGE_FORMAT_TGA = 2;
const IMAGE_FORMAT_PNG = 3;

//---------------------------------------------------------------------------
//The compression method in the generated TIFF file.
const	COMPRESSION_NONE	    = 1;		/* dump mode */
const	COMPRESSION_CCITTRLE	= 2;		/* CCITT modified Huffman RLE */
const	COMPRESSION_CCITTFAX3	= 3;		/* CCITT Group 3 fax encoding */
const	COMPRESSION_CCITTFAX4	= 4;		/* CCITT Group 4 fax encoding */
const	COMPRESSION_LZW		    = 5;		/* Lempel-Ziv  & Welch */
const	COMPRESSION_JPEG	    = 7;		/* %JPEG DCT compression */
const	COMPRESSION_PACKBITS	= 32773;	/* Macintosh RLE */

//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TButton *Button1;
        TButton *Button2;
        TProgressBar *ProgressBar1;
    void __fastcall Button1Click(TObject *Sender);
    void __fastcall Button2Click(TObject *Sender);
private:	// User declarations
	HMODULE	m_hinstLib;
	MLoad *pLoad;
	MEncode *pEncode;
	MFree *pFree;	
	MGetCount *pGetCount;
	MSetParam *pSetParam;

private:
	BOOL LoadPdfToTiffDll();
	BOOL FreePdfToTiffDll();

public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
 